
From: Andrew Morton <akpm@osdl.org>

Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/fusion/mptscsih.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/message/fusion/mptscsih.h~gregkh-driver-driver-device_attr-08-fix drivers/message/fusion/mptscsih.h
--- 25/drivers/message/fusion/mptscsih.h~gregkh-driver-driver-device_attr-08-fix	2005-06-19 17:10:17.000000000 -0700
+++ 25-akpm/drivers/message/fusion/mptscsih.h	2005-06-19 17:11:08.000000000 -0700
@@ -103,5 +103,7 @@ extern int mptscsih_taskmgmt_complete(MP
 extern int mptscsih_scandv_complete(MPT_ADAPTER *ioc, MPT_FRAME_HDR *mf, MPT_FRAME_HDR *r);
 extern int mptscsih_event_process(MPT_ADAPTER *ioc, EventNotificationReply_t *pEvReply);
 extern int mptscsih_ioc_reset(MPT_ADAPTER *ioc, int post_reset);
-extern ssize_t mptscsih_store_queue_depth(struct device *dev, const char *buf, size_t count);
+struct device_attribute;
+extern ssize_t mptscsih_store_queue_depth(struct device *dev,
+		struct device_attribute *attr, const char *buf, size_t count);
 extern void mptscsih_timer_expired(unsigned long data);
_
